#
# spec file for package fence-agents
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global plugin_dir %{_libdir}/stonith/plugins/rhcs

Name:           fence-agents
Summary:        Fence Agents for Pacemaker from RHCS
License:        GPL-2.0-only AND LGPL-2.1-only
Group:          Productivity/Clustering/HA
Version:        4.0.25+git.1485179354.eb43835
Release:        2.9.1
Url:            https://github.com/ClusterLabs/fence-agents
Source0:        %{name}-%{version}.tar.xz
Patch1:         0001-fence_compute-Only-list-nova-compute-services-when-g.patch
Patch2:         0002-fence_compute-Don-t-list-hypervisors-but-nova-comput.patch
Patch3:         0003-fence_compute-Do-not-override-domain-if-it-is-alread.patch
Patch4:         0004-fence_compute-Fix-handling-of-domain-None.patch
Patch5:         0005-fence_compute-Fix-fix_domain-to-not-return-too-early.patch
Patch6:         0006-fence_compute-Fix-fix_plug_name-when-looking-if-plug.patch
Patch7:         0007-fence_compute-Remove-duplicate-check-for-binary-name.patch
Patch8:         0008-fence_compute-fix-to-avoid-breaking-nova.patch
# PATCH-FIX-UPSTREAM: fence_evacaute: Add evacuate agent (bsc#1097260)
Patch9:         0009-Compute-Handle-differences-in-Nova-API-argument-pass.patch
Patch10:        0010-Compute-Split-out-evacation-functionality.patch
Patch11:        0011-evacuate-Handle-changes-to-the-nova-API.patch
Patch12:        0012-compute-Fix-unfencing-and-ensure-fencing-occurs-in-p.patch
Patch13:        0013-compute-update-metadata.patch
Patch14:        0014-evacuate-add-expected-metadata.patch
Patch15:        0015-fencing-Add-consistency-between-command-line-and-STD.patch
Patch16:        0016-fix-for-ignored-options.patch
Patch17:        0017-Maintain-ABI-compatibility-for-external-agents.patch
# PATCH-FIX-UPSTREAM: fencing: include timestamps when logging to STDERR and debug file (bsc#1049852)
Patch18:        0018-fencing-include-timestamps-when-logging-to-STDERR-an.patch
Patch19:        0019-fencing-fix-help-for-quiet.patch
Patch20:        0020-compute-Add-support-for-keystone-v3-authentication.patch
Patch21:        0021-fence_compute-evacuate-update-metadata.patch
Patch22:        0022-Log-the-proper-nova_versions-variable.patch
Patch23:        0023-move-fence_evacuate-into-its-own-subdirectory.patch
Patch24:        0024-fence_compute-fence_evacuate-revert-to-old-parameter.patch
# Add fence_gce: Google Compute Engine fence support (fate#325539) (bsc#1088358)
Patch25:        0001-fence_gce-new-agent.patch
Patch26:        0001-Zone-Project-parameters-are-mandatory.patch
Patch27:        0001-fence_gce-Write-error-messages-to-log.patch
Patch28:        0001-fence_gce-fix-regression-missing-import-googleapicli.patch
Patch29:        0002-fence_gce-fix-regression-missing-import-oauth2client.patch
Patch30:        0003-fence_gce-use-default-credentials-from-googleapiclie.patch
Patch31:        0001-fence_gce-add-support-for-stackdriver-logging.patch
Patch32:        0002-fence_gce-set-project-and-zone-as-not-required.patch
Patch33:        0003-fence_gce-add-power-cycle-as-default-method.patch
Patch34:        0004-fence_gce-add-missing-imports-to-retrieve-the-projec.patch
Patch35:        0005-fence_gce-s-loging-stackdriver-logging.patch
Patch36:        0006-fence_gce-use-root-logger-for-stackdriver.patch
Patch37:        0007-fence_gce-minor-changes-in-logging.patch
Patch38:        0001-fence_gce-filter-call-to-aggregatedList.patch
# PATCH-FIX-SLE: Make pywsman dependency optional (bsc#1025149)
Patch100:       0100-Make-pywsman-dependency-optional.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  libxml2-tools
BuildRequires:  libxslt
BuildRequires:  mozilla-nspr-devel
BuildRequires:  mozilla-nss-devel
BuildRequires:  perl
BuildRequires:  perl-Net-Telnet
BuildRequires:  pkg-config
BuildRequires:  python
BuildRequires:  python-curl
BuildRequires:  python-google-api-python-client
BuildRequires:  python-pexpect
BuildRequires:  python-requests
BuildRequires:  python-suds
BuildRequires:  python-xml
BuildRequires:  xz

Requires:       net-snmp
Requires:       openssh
Requires:       perl-Net-Telnet
Requires:       python-curl
Requires:       python-openssl
Requires:       python-pexpect
Requires:       python-requests
Requires:       python-suds
Requires:       sg3_utils
Requires:       telnet

# This is required by fence_virsh. Per discussion on fedora-devel
# switching from package to file based require.
Recommends:     /usr/bin/virsh

# This is required by fence_ipmilan. it appears that the packages
# have changed Requires around. Make sure to get the right one.
Recommends:     /usr/bin/ipmitool

Recommends:     openwsman-python

%if 0%{?with_regression_tests}
BuildRequires:  time
%endif

%description
Fence Agents is a collection of scripts to handle remote power
management for several devices.

%package devel
Summary:        Fence Agents for Pacemaker from RHCS
Group:          Development/Tools/Other
Requires:       %{name} = %{version}

%description devel
Fence Agents is a collection of scripts to handle remote power
management for several devices. This package contains
fence agents only suitable for development.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1

%patch100 -p1

%build
CFLAGS="${CFLAGS} ${RPM_OPT_FLAGS}"
export CFLAGS
./autogen.sh
%{configure}
make

%install
make install DESTDIR=%{buildroot}

## tree fix up
# fix libfence permissions
chmod 0755 %{buildroot}%{_datadir}/fence/fenc*.py
# remove docs
rm -rf %{buildroot}/usr/share/doc/fence-agents
# create links to agents in the plugins dir
mkdir -p %{buildroot}%{plugin_dir}
ln -s %{_sbindir}/fence_cisco_ucs %{buildroot}%{plugin_dir}
%fdupes %buildroot%{_sbindir}
%fdupes %buildroot%{_datadir}/cluster

%if 0%{?with_regression_tests}
%check
make check
PYTHONPATH=fence/agents/lib python fence/agents/lib/tests/test_fencing.py
%endif

%files
%defattr(-,root,root,-)
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence
%dir %{plugin_dir}
%dir %{_libdir}/stonith/plugins
%dir %{_libdir}/stonith
%{_datadir}/fence
%{_datadir}/cluster
%{plugin_dir}/fence_cisco_ucs
%{_sbindir}/fence_*
%exclude %{_sbindir}/fence_dummy
%exclude %{_mandir}/man8/fence_dummy*
%{_mandir}/man8/fence_*
%{_libexecdir}/fence_*

%files devel
%{_sbindir}/fence_dummy
%{_mandir}/man8/fence_dummy*

%changelog
* Fri Jan 25 2019 ygao@suse.com
- fence_gce: new agent (pull#159) (fate#325539) (bsc#1088358)
  * 0001-fence_gce-new-agent.patch
- fence_gce: zone & project parameters are mandatory (pull#177) (fate#325539) (bsc#1088358)
  * 0001-Zone-Project-parameters-are-mandatory.patch
- fence_gce: Clean up and log errors (pull#194) (fate#325539) (bsc#1088358)
  * 0001-fence_gce-Write-error-messages-to-log.patch
- fence_gce: google-auth instead of oauth2client (pull#197)
  * 0001-fence_gce-fix-regression-missing-import-googleapicli.patch
  * 0002-fence_gce-fix-regression-missing-import-oauth2client.patch
  * 0003-fence_gce-use-default-credentials-from-googleapiclie.patch
- fence_gce: logging and non required parameters (pull##211)
  * 0001-fence_gce-add-support-for-stackdriver-logging.patch
  * 0002-fence_gce-set-project-and-zone-as-not-required.patch
  * 0003-fence_gce-add-power-cycle-as-default-method.patch
  * 0004-fence_gce-add-missing-imports-to-retrieve-the-projec.patch
  * 0005-fence_gce-s-loging-stackdriver-logging.patch
  * 0006-fence_gce-use-root-logger-for-stackdriver.patch
  * 0007-fence_gce-minor-changes-in-logging.patch
- fence_gce: filter call to aggregatedList (pull#218)
  * 0001-fence_gce-filter-call-to-aggregatedList.patch
- Rebase:
  * 0100-Make-pywsman-dependency-optional.patch
* Fri Jul 20 2018 ygao@suse.com
- fence_compute fixes (pull#142)
  * 0001-fence_compute-Only-list-nova-compute-services-when-g.patch
  * 0002-fence_compute-Don-t-list-hypervisors-but-nova-comput.patch
  * 0003-fence_compute-Do-not-override-domain-if-it-is-alread.patch
  * 0004-fence_compute-Fix-handling-of-domain-None.patch
  * 0005-fence_compute-Fix-fix_domain-to-not-return-too-early.patch
  * 0006-fence_compute-Fix-fix_plug_name-when-looking-if-plug.patch
  * 0007-fence_compute-Remove-duplicate-check-for-binary-name.patch
- fence_compute: fix to avoid breaking nova (pull#111)
  * 0008-fence_compute-fix-to-avoid-breaking-nova.patch
- fence_evacuate: Add evacuate agent (bsc#1097260) (pull#142)
  * 0009-Compute-Handle-differences-in-Nova-API-argument-pass.patch
  * 0010-Compute-Split-out-evacation-functionality.patch
  * 0011-evacuate-Handle-changes-to-the-nova-API.patch
  * 0012-compute-Fix-unfencing-and-ensure-fencing-occurs-in-p.patch
  * 0013-compute-update-metadata.patch
  * 0014-evacuate-add-expected-metadata.patch
- fencing: Add consistency between command-line and STDIN
  * 0015-fencing-Add-consistency-between-command-line-and-STD.patch
- fix for ignored options (pull#146)
  * 0016-fix-for-ignored-options.patch
  * 0017-Maintain-ABI-compatibility-for-external-agents.patch
- fencing: include timestamps when logging to STDERR and debug file (bsc#1049852) (pull#149)
  * 0018-fencing-include-timestamps-when-logging-to-STDERR-an.patch
- fencing: fix help for --quiet (pull#150)
  * 0019-fencing-fix-help-for-quiet.patch
- fence_compute: Add support for keystone v3 authentication (bsc#1074000) (bsc#1097260) (bsc#1096412)
  * 0020-compute-Add-support-for-keystone-v3-authentication.patch
- fence_compute/evacuate: update-metadata (pull#162)
  * 0021-fence_compute-evacuate-update-metadata.patch
- Log the proper nova_versions variable (pull#165)
  * 0022-Log-the-proper-nova_versions-variable.patch
- move fence_evacuate into its own subdirectory (pull#167)
  * 0023-move-fence_evacuate-into-its-own-subdirectory.patch
- fence_compute/fence_evacuate: revert to old parameters (pull#191)
  * 0024-fence_compute-fence_evacuate-revert-to-old-parameter.patch
- Downgrade some agent-specific dependencies to recommends (bsc#1025149)
  * Rename 0010-Make-pywsman-dependency-optional.patch to 0100-Make-pywsman-dependency-optional.patch
* Wed Jun 13 2018 kgronlund@suse.com
- fence_compute: Add support for keystone v3 authentication (bsc#1074000) (bsc#1097260)
- Drop compute patches now included in new patch
  * Add 0001-fence_compute-Add-support-for-keystone-v3-authentica.patch
  * Add 0002-fence_evacuate-Add-evacuate-agent-bsc-1097260.patch
  * Remove 0001-fence_compute-Only-list-nova-compute-services-when-g.patch
  * Remove 0002-fence_compute-Don-t-list-hypervisors-but-nova-comput.patch
  * Remove 0003-fence_compute-Do-not-override-domain-if-it-is-alread.patch
  * Remove 0004-fence_compute-Fix-handling-of-domain-None.patch
  * Remove 0005-fence_compute-Fix-fix_domain-to-not-return-too-early.patch
  * Remove 0006-fence_compute-Fix-fix_plug_name-when-looking-if-plug.patch
  * Remove 0007-fence_compute-Remove-duplicate-check-for-binary-name.patch
  * Remove 0009-fence_compute-Fix-disabling-force_down-on-node-when-.patch
* Wed May 16 2018 kgronlund@suse.com
- fencing: include timestamps when logging to STDERR and debug file (bsc#1049852)
- Add 0011-fencing-include-timestamps-when-logging-to-STDERR-an.patch
* Tue Feb 14 2017 kgronlund@suse.com
- Downgrade some agent-specific dependencies to recommends (bsc#1025149)
  * Add 0010-Make-pywsman-dependency-optional.patch
* Wed Feb  1 2017 kgronlund@suse.com
- Update to version 4.0.25+git.1485179354.eb43835:
  * Ironic fence agent
  * fencing: Add --quiet option to disable logging to stderr
  * fence_powerman: fix typo in option powerman-path
  * fence_cisco_ucs: Commands sent to Cisco UCS are changed to
- Drop merged patch:
  * Remove 0008-Fix-travis.patch
* Thu Dec  1 2016 kgronlund@suse.com
- Update to version 4.0.24+git.1480563949.e67fcd4:
  * fence_azure_arm: add fencing agent for Azure Resource Manager
  * fence_lpar: Add support for IVM
  * fence_lpar: Handle exceptions when invalid output is read
  * fence_zvmip: Update XML metadata
  * fence_compute: fix ConnectionError by using full module name
  * fence_powerman: add fence agent for powerman
  * Suppress InsecureRequestWarning when ssl_insecure is given
  * compute: Correctly handle installations without tagged flavours
  * compute: Use the best available nova API version
  * compute: correctly implement 'on' when the force-down API call is available
  * compute: Correctly identify when the nodename already includes the supplied domain
  * compute: Ensure we can connect to nova when fixing the plug name
  * compute: Simpler check for nova force down compatibility
- Rebase and remove merged patches:
  * Remove 0001-fence_compute-Create-nova-client-with-API-2.11.patch
  * Remove 0002-fence_compute-Keep-compatibility-with-python-novacli.patch
  * Remove 0003-fence_compute-Only-list-nova-compute-services-when-g.patch
  * Remove 0004-fence_compute-Don-t-list-hypervisors-but-nova-comput.patch
  * Remove 0005-fence_compute-Do-not-override-domain-if-it-is-alread.patch
  * Remove 0006-fence_compute-Fix-use-of-undefined-variable.patch
  * Remove 0007-fence_compute-Fix-fix_domain-to-not-return-too-early.patch
  * Remove 0008-fence_compute-Fix-fix_plug_name-when-looking-if-plug.patch
  * Add 0001-fence_compute-Only-list-nova-compute-services-when-g.patch
  * Add 0002-fence_compute-Don-t-list-hypervisors-but-nova-comput.patch
  * Add 0003-fence_compute-Do-not-override-domain-if-it-is-alread.patch
  * Add 0004-fence_compute-Fix-handling-of-domain-None.patch
  * Add 0005-fence_compute-Fix-fix_domain-to-not-return-too-early.patch
  * Add 0006-fence_compute-Fix-fix_plug_name-when-looking-if-plug.patch
  * Add 0007-fence_compute-Remove-duplicate-check-for-binary-name.patch
  * Add 0008-Fix-travis.patch
* Fri Aug 26 2016 kgronlund@suse.com
- Update to version 4.0.24:
  * Improve obtaining status on Cisco UCS devices
  * Fix issues with symlink installations
  * Fix documentation for fence_scsi and fence_mpath
* Thu Jun 30 2016 kgronlund@suse.com
- Update to version 4.0.23:
  * A lot of changes in fence_compute (OpenStack compute instance)
  * Obtain status of nodes from Cisco UCS correctly
  * New fence agent for AMT using openwsman
  * Python3 support
  * Fence agent for PVE can be used by non-root users
  * Parallel building and testing of fence agents
  * Fix occasional failures of APC fence agent
- Updated fence_compute patch set:
  - Add 0001-fence_compute-Create-nova-client-with-API-2.11.patch
  - Add 0002-fence_compute-Keep-compatibility-with-python-novacli.patch
  - Add 0003-fence_compute-Only-list-nova-compute-services-when-g.patch
  - Add 0004-fence_compute-Don-t-list-hypervisors-but-nova-comput.patch
  - Add 0005-fence_compute-Do-not-override-domain-if-it-is-alread.patch
  - Add 0006-fence_compute-Fix-use-of-undefined-variable.patch
  - Add 0007-fence_compute-Fix-fix_domain-to-not-return-too-early.patch
  - Add 0008-fence_compute-Fix-fix_plug_name-when-looking-if-plug.patch
  - Add 0009-fence_compute-Fix-disabling-force_down-on-node-when-.patch
  - Remove 0001-fence_compute-Add-insecure-command-line-argument.patch
  - Remove 0002-fence_compute-Add-region-name-command-line-argument.patch
  - Remove 0003-fence_compute-Create-nova-client-with-API-2.11.patch
  - Remove 0004-fence_compute-Fix-disabling-force_down-on-node-when-.patch
  - Remove 0005-fence_compute-Evacuate-instances-on-all-tenants.patch
  - Remove 0006-fence_compute-On-list-don-t-list-hypervisors-but-nov.patch
  - Remove 0007-fence_compute-Only-list-nova-compute-services-when-g.patch
  - Remove 0008-fence_compute-Deprecate-the-domain-option.patch
* Mon Feb 22 2016 kgronlund@suse.com
- Update to version 4.0.22+git.1455008135.15c5e92:
  + fence_cisco_ucs: Obtain status of device from different endpoint
  + fence_cisco_ucs: Add --missing-as-off
- Backport fence_compute (fate#320346) (bsc#964748)
- Patches for fence_compute (fate#320346) (bsc#964748)
  - fence_compute: Add --insecure command line argument
  - fence_compute: Add --region-name command line argument
  - fence_compute: Create nova client with API 2.11
  - fence_compute: Fix disabling force_down on node when action is on
  - fence_compute: Evacuate instances on all tenants
  - fence_compute: On list, don't list hypervisors but nova-compute services
  - fence_compute: Only list nova-compute services when getting status
  - fence_compute: Deprecate the domain option
- Add 0001-fence_compute-Add-insecure-command-line-argument.patch
- Add 0002-fence_compute-Add-region-name-command-line-argument.patch
- Add 0003-fence_compute-Create-nova-client-with-API-2.11.patch
- Add 0004-fence_compute-Fix-disabling-force_down-on-node-when-.patch
- Add 0005-fence_compute-Evacuate-instances-on-all-tenants.patch
- Add 0006-fence_compute-On-list-don-t-list-hypervisors-but-nov.patch
- Add 0007-fence_compute-Only-list-nova-compute-services-when-g.patch
- Add 0008-fence_compute-Deprecate-the-domain-option.patch
* Wed Jan 27 2016 kgronlund@suse.com
- Package fence_dummy in fence-agents-devel package
- Clean up package
* Wed Jan 13 2016 kgronlund@suse.com
- Update to 4.0.22:
  * New fence agent for VirtualBox
  * A lot of changes in fence_compute (OpenStack)
  * Re-enable fence_zvm
  * Support for APC firmware v6.x
  * Add hard-reboot option for fence_scsi_check script
  * Add option for setting Docker Remote API version
  * Fix HP Brocade fence agent (timeout settings, deprecated options)
  * New action 'diag' for fence_ipmi
* Mon Oct 12 2015 aspiers@suse.com
- Update to 4.0.21:
  * Documentation of new actions in manual pages is improved
  * Tests were improved and Travis CI is now used for every push
  * fence_virsh has new option --missing-as-off to support older XEN hosts
  * fence_ilo(2) now automatically attempts to use TLS1.0 if it is not
    possible to connect via SSLv3
  * fence_mpath re-create SCSI keys after reboot, monitoring of devices
    were improved too
* Tue Aug 11 2015 kgronlund@suse.com
- Update to 4.0.20:
  * In some cases password string was expected twice what lead to 'Unable
    to login'
  * New fence agent fence_rcd_serial for DYI fence device (look at
    https://smcleod.net/rcd-stonith/ ; thanks to Sam McLeod)
  * Fence_pve should default to SSL (thanks to Thomas Lamprecht)
  * Fixes nroff error for fence_virsh (thanks to Adrian Vondendriesch)
  * Improve monitoring for fence_scsi
  * Fixes for devices which do not have port and obtaining status is not
    possible
  * fence_ipmilan no longer print password to debug info
  * Possibility to do force-ON even if device is already ON
  * Possibility to declare that device does not have ON or OFF (usually
    only reboot works)
* Wed Jul  1 2015 kgronlund@suse.com
- Update to 4.0.19:
  * New fence agent for Nova compute machines (thanks to Andrew
    Beekhof and Fabio)
  * Fixed issues with whitespaces in few fence agents (thanks to
    Christoph Berg)
  * User of RHEV-M can have less privileges with updated
    fence_rhevm (thanks to Rik Theys)
  * Verbose output now captures also text before command prompt is
    found
  * Support for HP Integrity Superdome X was added to fence_hpblade
    (thanks to Han Pilmeyer)
  * Fence agent for IBM z/VM now uses API that require less resource
    of device
* Wed Jun 10 2015 kgronlund@suse.com
- Update to 4.0.18:
  * fence_scsi has now implemented action 'monitor'
    (thanks to John Ruemker)
  * fence_scsi is now able to unfence devices added later
    (thanks to John Ruemker)
  * simplification of code thanks to auto-generation of help texts
  * when 'name' is entered on STDIN instead of 'name=value', warning
    is generated
* Tue Apr  7 2015 kgronlund@suse.com
- Update to 4.0.17:
  * HP iLO2 with firmware 2.27 has broken implementation of TLS negotation
    and SSLv3 is disabled by default (POODLE attack). Options --tls1.0
    (tls1.0 on stdin) was added to force using TLS v1.0. This options allows
    users to use that firmware with fence agents.
  * Fence agent for AMT password was not put correctly into environment.
  * Fix login process on bladecenter where 'last login' can occur in
    message of the day what mislead fence agent.
  * Cipher for fence_ipmilan was previously set to 0. It was found out
    that this not good default value, we will use default value (3) of
    ipmitool instead.
* Mon Mar  9 2015 kgronlund@suse.com
- Update to 4.0.16:
  * fence_kdump has implemented 'monitor' action that check if local node
    is capable of working with kdump
  * path to smnp(walk|get|set) can be set at runtime
  * new operation 'validate-all' for majority of agents that checks if
    entered parameters are sufficient without connecting to fence
    device. Be aware that some checks can be done only after we receive
    information from fence device, so these are not tested.
  * new operation 'list-status' that present CSV output (plug_number,
    plug_alias, plug_status) where status is ON/OFF/UNKNOWN
* Mon Feb  9 2015 kgronlund@suse.com
- Update to 4.0.15:
  * Tripp Lite PDUs are now supported by fence_tripplite_snmp (symlink to
    fence_apc_snmp)
  * Default values in metadata sometimes differ to those actually used,
    this is fixed now
  * improvements in testing
- Remove patch: 0001-Avoid-problem-with-broken-make-variable-expansion.patch
* Wed Jan  7 2015 kgronlund@suse.com
- Update to 4.0.14:
  * fence_zvmip for IBM z/VM is rewritten to Python
  * new fence agent for Emerson devices
  * fix invalid default ports for fence_eps and fence_amt
  * properly escape XML in other fields of metadata
  * a lot of refactoring and cleaning
* Mon Dec 15 2014 kgronlund@suse.com
- Update to 4.0.13:
  * new fence agent based on mpathpersist that offers better handling of
    multipath devices
  * improve support of fence_ilo_ssh on older firmwares
  * required packages are also required by autoconf during build time
  * fence_zvm now supports action 'monitor' (thanks to Neale Ferguson)
  * introduce --gnutlscli-path --sudo-path --ssh-path and --telnet-path;
    they are no longer hard-coded
  * order of XML parameters or options in --help is more stable now
  * fence_cisco_ucs did not set protocol prefix correctly with
  - -ssl-(in)secure
  * logging to syslog now works correctly also with \x00 as input
- Add patch: 0001-Avoid-problem-with-broken-make-variable-expansion.patch
* Thu Oct 16 2014 kgronlund@suse.com
- Update to 4.0.12:
  * new up-to-date wiki page with STDIN / command line arguments
    http://fedorahosted.org/cluster/wiki/FenceArguments
  * Fence agent fence_pve now supports --ssl-secure and --ssl-insecure
  (check certificate or not)
  * Fence agent for RHEV-M supports cookie based authentication
  (--use-cookies)
  * improvements in build system
  * Fix issue with regular expression in fence_rsb
  * Fix uninitialized EOL in fence_wti
- Remove backported patches:
  - 0001-fence_brocade-Add-support-for-list-action.patch
  - 0002-fencing-Monitor-is-not-working-correctly-without-lis.patch
  - 0003-fence_apc_snmp-Add-support-for-firmware-6.x.patch
  - 0004-fence_zvm-Add-support-for-on-and-status.patch
  - 0005-fence_zvm-Add-current-XML-metadata-to-test-suite.patch
  - 0006-build-Fix-automake-files-so-make-distcheck-works.patch
  - 0007-fencing-Add-new-options-ssl-secure-and-ssl-insecure.patch
  - 0008-tests-Update-XML-metadata-of-fence-agents.patch
  - 0009-fence_cisco_ucs-fence_vmware_soap-Logout-has-to-be-p.patch
  - 0010-fence_zvm-Fixes-for-better-upstream-inclusion.patch
  - 0011-fence_zvm-Add-support-for-on-improve-documentation.patch
  - 0012-fence_rhevm-Use-https-prefix-also-with-ssl-secure-an.patch
  - 0013-fence_apc-shell-timeout-was-used-instead-of-power-ti.patch
  - 0014-fence_rsb-Fix-62d90e3a0827fcdc5be632bdf4103d3c08b396.patch
  - 0015-fence_wti-Fix-invalid-eol.patch
  - 0016-fence_pve-Add-support-for-ssl-secure-and-ssl-insecur.patch
* Mon Oct 13 2014 kgronlund@suse.com
- Backport security and bug fixes (bnc#900879) (CVE-2014-0104)
  - fence_rhevm: Use https:// prefix also with --ssl-secure and --ssl-insecure
  - fence_apc: --shell-timeout was used instead of --power-timeout
  - fence_rsb: Fix 62d90e3a0827fcdc5be632bdf4103d3c08b39622
  - fence_wti: Fix invalid "eol"
  - fence_pve: Add support for --ssl-secure and --ssl-insecure
- Added patches:
  - 0012-fence_rhevm-Use-https-prefix-also-with-ssl-secure-an.patch
  - 0013-fence_apc-shell-timeout-was-used-instead-of-power-ti.patch
  - 0014-fence_rsb-Fix-62d90e3a0827fcdc5be632bdf4103d3c08b396.patch
  - 0015-fence_wti-Fix-invalid-eol.patch
  - 0016-fence_pve-Add-support-for-ssl-secure-and-ssl-insecur.patch
* Fri Oct  3 2014 kgronlund@suse.com
- Add requirement for python-suds (bnc#899664)
* Tue Sep 16 2014 kgronlund@suse.com
- Backport fixes from upstream (bnc#896833):
  + fence_brocade: Add support for 'list' action
  + fencing: Monitor is not working correctly without 'list' or 'status'
  + fence_apc_snmp: Add support for firmware 6.x
  + fence_zvm: Add support for "on" and "status"
  + fence_zvm: Add current XML metadata to test suite
  + [build] Fix automake files, so 'make distcheck' works
  + fencing: Add new options --ssl-secure and --ssl-insecure
  + [tests] Update XML metadata of fence agents
  + fence_cisco_ucs & fence_vmware_soap: Logout has to be performed even when fencing fails
  + fence_zvm: Fixes for better upstream inclusion
  + fence_zvm: Add support for 'on', improve documentation
- Added patches:
  + 0001-fence_brocade-Add-support-for-list-action.patch
  + 0002-fencing-Monitor-is-not-working-correctly-without-lis.patch
  + 0003-fence_apc_snmp-Add-support-for-firmware-6.x.patch
  + 0004-fence_zvm-Add-support-for-on-and-status.patch
  + 0005-fence_zvm-Add-current-XML-metadata-to-test-suite.patch
  + 0006-build-Fix-automake-files-so-make-distcheck-works.patch
  + 0007-fencing-Add-new-options-ssl-secure-and-ssl-insecure.patch
  + 0008-tests-Update-XML-metadata-of-fence-agents.patch
  + 0009-fence_cisco_ucs-fence_vmware_soap-Logout-has-to-be-p.patch
  + 0010-fence_zvm-Fixes-for-better-upstream-inclusion.patch
  + 0011-fence_zvm-Add-support-for-on-improve-documentation.patch
- Add dependency on python-requests
* Tue Jul  1 2014 kgronlund@suse.com
- Update to 4.0.10:
  * fence_scsi is reimplemented on top of fencing library
  * fence_zvm support distributed z/VM systems
  * support for --delay was added to fence_zvm
  * unmaintained fence agents were removed:
  * fence_baytech, fence_bullpap, fence_cpint, fence_mcdata,
  * fence_rackswitch, fence_vixel, fence_xcat
  * we do not plan to remove other agents
  * update fence_rsb to work with new firmware
* Tue Jul  1 2014 kgronlund@suse.com
- Update to 4.0.10:
  * fence_scsi is reimplemented on top of fencing library
  * fence_zvm support distributed z/VM systems
  * support for --delay was added to fence_zvm
  * unmaintained fence agents were removed:
  * fence_baytech, fence_bullpap, fence_cpint, fence_mcdata,
  * fence_rackswitch, fence_vixel, fence_xcat
  * we do not plan to remove other agents
  * update fence_rsb to work with new firmware
* Mon May 19 2014 kgronlund@suse.com
- Don't build in parallell (bnc#878580)
* Thu May 15 2014 kgronlund@suse.com
- Update to version 4.0.9 (bnc#877996)
  + Allow ssl connections to fallback to SSL3.0 negotiation
  + fence_vmware_soap: fix short/long option parsing traceback
  + fence_raritan: new fence agent for Raritan Dominion PX
  + fencing: Replace printing to stderr with proper logging solution
  + fence_wti: Action 'list' prints also named groups
  + fence_ipmilan: send empty password, if password is not entered
  + fence_vmware: Invalid arguments for vmware_get_outlets_vi()
  + fence_amt: sending password over env
  + fencing: Introduce new device option 'no_status'
  + fence_pve: new fence-agent for Proxmox VE
  + fence_ovh: --delay should be applied before attempt to login
- Exclude dummy fence agent fence_dummy (bnc#877950)
- Remove obsolete fence-agents-add-longdesc.patch
* Tue Feb 18 2014 kgronlund@suse.com
- Update to version 4.0.7
  + support for firmware v1.40 for WTI (MPC series)
  + nss_wrapper used for fence_ilo was replaced by gnutls-cli
  + --delay was not respected in fence_vmware_soap
  + fabric fence agents have 'off' as default action
  + fence_scsi now generates correct key on corosync clusters
  + regression was found in fence_ipmilan where -P and -L were
    interchanged on command line
    (there was no problem with long options and input from STDIN)
  + fence_vmware_soap now fails with proper error message when user does
    not have enough privileges
* Sat Jan 11 2014 kgronlund@suse.com
- Update to version 4.0.6
  + support for Dell Drac MC was added to fence_drac5
  + support for Tripplite PDU was added to fence_apc
    (thanks to Bogdan Dobrelya)
  + support for AMT was added as new fence agent fence_amt
    (thanks to Ondrej Mular)
  + support for identification of  virtual machine using UUID was
    added to fence_virsh (thanks to Bogdan)
  + fence_ipmilan was ported from C to Python using standard
    fencing library (thanks to Ondrej)
* Thu Oct 31 2013 kgronlund@suse.com
- Update to version 4.0.5
  + fence agent for RSB now works correctly also with newer
    firmware
  + fence agent for WTI now supports not only port numbers but also
    named port groups
  + fence agent for VMWare SOAP now report if user does not have
    enough privileges
  + add a Relax NG for XML metadata of fence agents and require
    them to be correct in order to build a fence agent
  + fix problems found thanks to previous Relax NG
* Mon Sep  9 2013 ygao@suse.com
- Update to version 4.0.3
* Thu Jul  5 2012 dmuhamedagic@suse.com
- add longdesc as copy of shortdesc to produce valid XML (bnc#770043)
* Tue Jun 26 2012 dmuhamedagic@suse.com
- remove fence-ack-manual from supported, it has effect only with
  fenced
- add links to /usr/lib64/stonith/plugins/rhcs
* Thu Jun 21 2012 lmb@novell.com
- Rename two packages to SUSE package names in Requires
- Split into fence-agents and fence-agents-unsupported
- SUSE-fy spec file
* Thu Nov  3 2011 msvec@suse.com
- Initial version 3.1.6
